#include <fstream>
#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <vector>
#include <iostream>
#include <sys/time.h>
#include <string.h>

#include <opencv2/opencv.hpp>

using namespace std;
using namespace cv;

int get_peak_cbcr2(vector<Point2f> pts, unsigned char& cb_peak, unsigned char& cr_peak);
void create_brown_a(double* a, double min_a, double max_a);
void create_brown_offsets(double* offsets, double y1, double y2);
int brown_image_processing(Mat img, Mat& gray, Mat& brown_image);